<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/mainBackColor"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:background="@color/white"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/leftTitleView"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:paddingHorizontal="@dimen/dp_10"
            android:text="商城"
            android:textColor="@color/mainTextColor"
            android:textSize="@dimen/sp_18" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginVertical="@dimen/dp_5"
            android:layout_marginEnd="@dimen/dp_10"
            android:layout_weight="1"
            android:background="@drawable/bg_stroke_layout_gray_radius_7"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingHorizontal="@dimen/dp_5"
                android:src="@drawable/ic_search" />

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/searchInputView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:background="@null"
                android:hint="搜索"
                android:singleLine="true"
                android:textColor="@color/mainTextColor"
                android:textColorHint="@color/hintTextColor"
                android:textSize="@dimen/sp_14" />

            <View
                android:id="@+id/lineView"
                android:layout_width="@dimen/lineViewSize"
                android:layout_height="match_parent"
                android:layout_marginVertical="@dimen/dp_7"
                android:background="@color/mainBackColor" />

            <TextView
                android:id="@+id/searchTextView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:text="搜索"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/shopTopTabLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            app:tabIndicatorColor="@color/mainThemeColor"
            app:tabIndicatorFullWidth="true"
            app:tabIndicatorHeight="3dp"
            app:tabSelectedTextColor="@color/mainThemeColor"
            app:tabTextColor="@color/mainTextColor" />

        <include layout="@layout/include_horizontal_no_margin_line" />

        <androidx.viewpager.widget.ViewPager
            android:id="@+id/shopViewPager"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1" />
    </LinearLayout>
</LinearLayout>